Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.mdr/1 1.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.xmi.sax
Class XMIConsumerFactory

    java.lang.Object
      org.netbeans.api.xmi.sax.XMIConsumerFactory

    public abstract class XMIConsumerFactory

extends Object

Factory for XMIConsumer instances.

Constructor Summary
`XMIConsumerFactory()`

Method Summary
`abstract XMIConsumer` | `createXMIConsumer()` Creates new instance of XMIConsumer.
`abstract XMIConsumer` | `createXMIConsumer(XMIInputConfig configuration)` Creates new instance of XMIConsumer configured using the passed configuration object.
`static XMIConsumerFactory` | `getDefault()` Returns the default instance of XMIConsumerFactory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMIConsumerFactory

    public XMIConsumerFactory()

Method Detail

### getDefault

    public static XMIConsumerFactory getDefault()

  Returns the default instance of XMIConsumerFactory.

  Returns:
    Default XMI consumer factory.

### createXMIConsumer

    public abstract XMIConsumer createXMIConsumer()

  Creates new instance of XMIConsumer.

  Returns:
    New instance of XMIConsumer.

### createXMIConsumer

    public abstract XMIConsumer createXMIConsumer(XMIInputConfig configuration)

  Creates new instance of XMIConsumer configured using the passed configuration object. The configuration object should not be used by XMIConsumer directly (i.e. the real configuration of the returned XMIConsumer should be a copy of the passed configuraion object).

  Parameters:
    `configuration` - Configuration of the XMIConsumer instance to be created.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.mdr/1 1.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.